/**
* Copyright (C) 2017 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.databaseAdmin.wizard;

import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportConfigurator;
import eu.etaxonomy.taxeditor.io.wizard.AbcdImportConfiguratorWizardPage;

/**
 * @author k.luther
 * @date 19.04.2017
 *
 */
public class ImportPreferencesWizard extends Wizard {

    public AbcdImportConfiguratorWizardPage configPage;

    public ImportPreferencesWizard() {
        setWindowTitle("Abcd Import Configuration Wizard");
        configPage = AbcdImportConfiguratorWizardPage.createPreferencePage(Abcd206ImportConfigurator.NewInstance(null, null));

    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean performFinish() {

        return false;
    }
}
