/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.handler;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.jface.wizard.WizardDialog;

import eu.etaxonomy.taxeditor.databaseAdmin.wizard.DatabasePreferencesWizard;
import eu.etaxonomy.taxeditor.model.AbstractUtility;

/**
 * @author k.luther
 * @date 18.11.2016
 *
 */
public class OpenDatabasePreferencesWizardHandler {

    @Execute
    public Object execute(){
        DatabasePreferencesWizard databasePreferencesWizard = new DatabasePreferencesWizard();
        WizardDialog dialog = new WizardDialog(AbstractUtility.getShell(),
                databasePreferencesWizard);

        dialog.open();

        return null;
    }

}
