/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.handler;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.wizard.WizardDialog;

import eu.etaxonomy.taxeditor.preference.wizard.AvailableDistributionWizard;
import eu.etaxonomy.taxeditor.store.StoreUtil;

/**
 * @author a.oppermann
 * @date 21.07.2014
 *
 */
public class OpenDistributionEditorWizardHandler  extends AbstractHandler{

        String commandID = "eu.etaxonomy.taxeditor.store.open.OpenDistributionEditorWizardHandler";

        @Override
        public Object execute(ExecutionEvent event) throws ExecutionException {
            AvailableDistributionWizard availableDistributionWizard = new AvailableDistributionWizard();
            WizardDialog dialog = new WizardDialog(StoreUtil.getShell(),
                    availableDistributionWizard);

            dialog.open();
            return null;
        }

    }
