/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import java.util.Collection;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

import eu.etaxonomy.cdm.model.common.DefinedTermBase;

/**
 * <p>DefinedTermBaseContentProvider class.</p>
 *
 * @author n.hoffmann
 * @created Aug 5, 2010
 * @version 1.0
 */
public class DefinedTermBaseContentProvider implements
		IStructuredContentProvider {

	/** {@inheritDoc} */
	public Object[] getElements(Object inputElement) {	
		if(inputElement instanceof Collection){
			return ((Collection<DefinedTermBase>) inputElement).toArray(new DefinedTermBase[0]);
		}
		return new Object[]{};
	}

	/**
	 * <p>dispose</p>
	 */
	public void dispose() {}

	/** {@inheritDoc} */
	public void inputChanged(Viewer viewer, Object oldInput,
			Object newInput) {}
}
