/**
* Copyright (C) 2017 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.handler;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.jface.wizard.WizardDialog;

import eu.etaxonomy.taxeditor.databaseAdmin.wizard.ImportPreferencesWizard;
import eu.etaxonomy.taxeditor.model.AbstractUtility;

/**
 * @author k.luther
 * @date 19.04.2017
 *
 */
public class OpenImportPreferenceHandler {
    @Execute
    public Object execute(){
        ImportPreferencesWizard importPreferencesWizard = new ImportPreferencesWizard();
        WizardDialog dialog = new WizardDialog(AbstractUtility.getShell(),
                importPreferencesWizard);

        dialog.open();

        return null;
    }

}
