/**
 * Copyright (C) 2015 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.l10n;

import org.eclipse.osgi.util.NLS;

/**
 * @author pplitzner
 * @date Apr 14, 2015
 *
 */
public class Messages extends NLS {
    private static final String BUNDLE_NAME = "src/main/java/eu.etaxonomy.taxeditor.l10n.messages"; //$NON-NLS-1$


    public static String AuthenticatedUserBar_LOGGED_IN_AS;
    public static String AuthenticatedUserBar_NOT_LOGGED_IN;
    public static String LanguageEditorPreferencePage_ChooseDefaultLanguage;
    public static String LanguageEditorPreferencePage_EditorHasToRestart;
    public static String LanguageEditorPreferencePage_PleaseRestart;
    public static String LanguageEditorPreferencePage_RestartRequired;
    public static String DatabaseRepairPage_chooseParameter;
    public static String DatabaseRepairPage_updateTaxonNodes;
    public static String DatabaseRepairPage_toolTip_taxonNode;
    public static String DatabaseRepairPage_PolytomousKeyNode;
    public static String DatabaseRepairPage_toolTip_polytomousKeyNode;
    public static String DatabaseRepairPage_featureNodes;
    public static String DatabaseRepairPage_toolTipFeatureNodes;
    public static String DatabaseRepairPage_updateTaxonName;
    public static String DatabaseRepairPage_toolTip_TaxonName;
    public static String DatabaseRepairPage_TaxonBase;
    public static String DatabaseRepairPage_toolTip_taxonBase;
    public static String DatabaseRepairPage_Reference;
    public static String DatabaseRepairPage_toolTip_reference;

    public static String LoginDialog_CANCEL_MESSAGE;
    public static String LoginDialog_LOGIN;
    public static String LoginDialog_PASSWORD;
    public static String LoginDialog_REALLY_CANCEL;
    public static String LoginDialog_USER_LOGIN;
    public static String LoginDialog_USER_NAME;
    public static String OrderPreferencePage_NewNavigatorWindowRequired;
    public static String OrderPreferencePage_PleaseReopenNavigator;
    public static String CdmDataSourceViewPart_1;
    public static String CdmDataSourceViewPart_10;
    public static String CdmDataSourceViewPart_11;
    public static String CdmDataSourceViewPart_12;
    public static String CdmDataSourceViewPart_2;
    public static String CdmDataSourceViewPart_3;
    public static String CdmDataSourceViewPart_4;
    public static String CdmDataSourceViewPart_5;
    public static String CdmDataSourceViewPart_7;
    public static String CdmDataSourceViewPart_8;
    public static String CdmDataSourceViewPart_9;
    public static String CdmViewerContextMenu_OPEN;
    public static String CdmViewerContextMenu_OPEN_IN;
    public static String ChangeConnectionHandler_ALREADY_CONNECTING;
    public static String ChangeConnectionHandler_CURRENTLY_CONNECTING_ALREADY;
    public static String ChangeConnectionHandler_CREATE_DATAMODEL;
    public static String ChangeConnectionHandler_REALLY_CREATE_DATAMODEL;
    public static String ChangeConnectionHandler_DATASOURCE_NOT_AVAILABLE;
    public static String ChangeConnectionHandler_NOT_AVAILABLE_REASONS;
    public static String UriWithLabelElement_COULD_NOT_OPEN_BROWSER;
    public static String UriWithLabelElement_INVALID_URL;
    public static String UriWithLabelElement_OPEN_EXTERNAL_BROWSER;
    public static String UriWithLabelElement_URL_NOT_SAVED;
	public static String CdmStoreConnector_AUTHENTICATING_USER;
	public static String CdmStoreConnector_CHECK_IF_EDITOR_IS_COMPATIBLE;
	public static String CdmStoreConnector_CHECK_IF_NON_EMPTY;
	public static String CdmStoreConnector_CHECK_IF_REACHABLE;
	public static String CdmStoreConnector_COMPATIBILITY_CHECK_FAILED;
	public static String CdmStoreConnector_COULD_NOT_CONNECT_TO_CHOSEN_DATASOURCE;
	public static String CdmStoreConnector_SUCCESS;
	public static String CdmStoreConnector_DATA_MODEL_CREATION_SUCCESSFUL;
	public static String CdmStoreConnector_COULD_NOT_CREATE_DATAMODEL;
	public static String CdmStoreConnector_CREATING_DATAMODEL;
	public static String CdmStoreConnector_ERROR_DURING_DATAMODEL_CREATION;
	public static String CdmStoreConnector_REASON;
	public static String CdmStoreConnector_SCHEME_NOT_COMPATIBLE;
	public static String CdmStoreConnector_UPDATE_DATASOUREC_OR_CHOOSE_NEW_DATASOURCE;
	public static String CdmStoreConnector_UPDATE_EDITOR_OR_CHOOSE_COMPATIBLE_DATASOURCE;


    public static String ConfiguratorComposite_CONFIGURE;
	public static String DetailsViewPart_VIEWER_NAME;
    public static String EditPasswordElement_PLEASE_CREATE_OR_SAVE_USER;
    public static String EditPasswordElement_USERNAME_DOES_NOT_EXIST;
    public static String PasswordWizard_COULD_NOT_CHANGE_PWD;
    public static String PasswordWizard_OLD_PWD_INCORRECT;
    public static String PasswordWizard_PROBLEM_WITH_CHANGING_PWD;
    public static String PasswordWizard_PWD_COULD_NOT_BE_CHANGED;
    public static String PasswordWizardPage_CHANGE_PASSWORD;
    public static String PasswordWizardPage_CHANGE_PASSWORD_AND_CONFIRM;
    public static String PasswordWizardPage_NEW_PASSWORD;
    public static String PasswordWizardPage_OLD_PASSWORD;
    public static String PasswordWizardPage_PASSWORD_MIN_CHARACTER;
    public static String PasswordWizardPage_PASSWORDS_DO_NOT_MATCH;
    public static String PasswordWizardPage_REPEAT_PASSWORD;
    public static String PresenceAbsenceTermDetailElement_CHOOSE_COLOR;
    public static String PresenceAbsenceTermDetailElement_COLOR_NOT_SET;
    public static String PresenceAbsenceTermDetailElement_LABEL_COLOR;
    public static String RemotingLoginDialog_CHOOSE_COMPATIBLE_CDM_SERVER;
	public static String RemotingLoginDialog_LABEL_ADVANCED;
	public static String RemotingLoginDialog_LABEL_CDM_INSTANCE;
	public static String RemotingLoginDialog_LABEL_CDM_SERVER;
	public static String RemotingLoginDialog_LABEL_CONNECT;
	public static String RemotingLoginDialog_LABEL_EDITOR_CDM_VERSION;
	public static String RemotingLoginDialog_LABEL_EDITOR_CDMLIB_VERSION;
	public static String RemotingLoginDialog_LABEL_LOGIN;
	public static String RemotingLoginDialog_LABEL_LOGIN_COLON;
	public static String RemotingLoginDialog_LABEL_PASSWORD;
	public static String RemotingLoginDialog_LABEL_PORT;
	public static String RemotingLoginDialog_LABEL_REFRESH;
	public static String RemotingLoginDialog_LABEL_REMEMBER_ME;
	public static String RemotingLoginDialog_RETRIEVE_SERVER_INSTANCES;
	public static String RemotingLoginDialog_LABEL_SERVER_CDM_VERSION;
	public static String RemotingLoginDialog_LABEL_SERVER_CDMLIB_VERSION;
	public static String RemotingLoginDialog_LABEL_STOP_MANAGED_SERVER;
	public static String RemotingLoginDialog_LOGIN_CANNOT_BE_EMPTY;
	public static String RemotingLoginDialog_MESSAGE_PORT_SHOULD_BE_INTEGER;
	public static String RemotingLoginDialog_PASSWORD_CANNOT_BE_EMPTY;
	public static String RemotingLoginDialog_SERVER_LAUNCH_ERROR;
	public static String RemotingLoginDialog_STATUS_AVAILABLE;
	public static String RemotingLoginDialog_STATUS_CHECKING;
	public static String RemotingLoginDialog_STATUS_ERROR;
	public static String RemotingLoginDialog_STATUS_NO_INSTANCES_FOUND;
	public static String RemotingLoginDialog_STATUS_NOT_AVAILABLE;
	public static String RemotingLoginDialog_STATUS_NOT_COMPATIBLE;
	public static String RemotingLoginDialog_STATUS_NOT_STARTED;
	public static String RemotingLoginDialog_STATUS_REMOTING_NOT_ACTIVATED;
	public static String RemotingLoginDialog_STATUS_RETRIEVING;
	public static String RemotingLoginDialog_STATUS_STARTED;
	public static String RemotingLoginDialog_UPDATE_EDITOR;
	public static String RemotingLoginDialog_COULD_NOT_STOP_SERVER;
	public static String RemotingLoginDialog_ERROR_GENERATING_CONFIG_FILE;
	public static String RemotingLoginDialog_ERROR_STARTING_SERVER;
	public static String RemotingLoginDialog_ERROR_STOPPING_SERVER;
	public static String RemotingLoginDialog_GENERATING_CONFIG_FILE;
	public static String RemotingLoginDialog_JOB_SERVER_LAUNCH;
	public static String RemotingLoginDialog_STARTING_MGD_SERVER;
	public static String RemotingLoginDialog_TASK_LAUNCHING_SERVER;
    public static String SearchManager_LARGE_RESULT_EXPECTED;
    public static String SearchManager_LONG_SEARCH_WARNING;
	public static String SupplementalDataViewPart_VIEWER_NAME;
	public static String DeleteConfiguration_media_removeFromGallery;
	public static String DeleteConfiguration_media_deleteIfUsedInTaxonDescription;
	public static String DeleteConfiguration_media_deleteIfUsedInSpecimenDescription;
	public static String DeleteConfiguration_media_delete;
	public static String NewGrantedAuthority_AlreadyInDb;

    public static String SetSecundumConfiguration_IncludeAcceptedTaxa;
    public static String SetSecundumConfiguration_IncludeSynonyms;
    public static String SetSecundumConfiguration_OverwriteExistingAccepted;
    public static String SetSecundumConfiguration_OverwriteExistingSynonyms;
    public static String SetSecundumConfiguration_EmptySecundumDetail;
    public static String SetSecundumConfiguration_IncludeSharedtaxa;
    public static String SetSecundumConfiguration_NewSecundum_Label;
    public static String SetSecundumConfiguration_Description;

    public static String DatabasePreferncesPage_Is_redList;
    public static String DatabasePreferncesPage_Determination_only_for_field_unnits;
    public static String DatabasePreferncesPage_Show_Collecting_Areas_in_general_section;
    public static String DatabasePreferncesPage_Taxon_Associations;

    public static String DatabasePreferencesPage_Biocase_Provider;
    public static String DatabasePreferencesPage_details_view_configuration;
    public static String DatabasePreferencesPage_show_only_simple_details_view;
    public static String DatabasePreferencesPage_show_taxon;
    public static String DatabasePreferencesPage_show_lsid;
    public static String DatabasePreferencesPage_show_nomenclatural_code;
    public static String DatabasePreferencesPage_show_namecache;
    public static String DatabasePreferencesPage_show_appended_phrase;
    public static String DatabasePreferencesPage_show_rank;
    public static String DatabasePreferencesPage_show_atomised_epithets;
    public static String DatabasePreferencesPage_show_authorship_cache;
    public static String DatabasePreferencesPage_show_author_section;
    public static String DatabasePreferencesPage_Show_nomenclatural_Ref;
    public static String DatabasePreferencesPage_Show_nomenclaturalStatus;
    public static String DatabasePreferencesPage_Show_Protologue;
    public static String DatabasePreferencesPage_Show_Type_designation;
    public static String DatabasePreferencesPage_Show_NameRelations;
    public static String DatabasePreferencesPage_Define_Default_NomenclaturalCode;
    public static String DatabasePreferencesPage_UseLocalPreferences;
    public static String DatabasePreferencesPage_Specimen_Or_Observation;

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);
    }

    private Messages() {
    }
}
