/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;


/**
 * Clients implementing this interface indicate, that the data they present is suitable for the supplemental data view
 * and that the supplemental data view should handle selection from the implementing part.
 *
 * @author n.hoffmann
 * @created Jun 15, 2010
 * @version 1.0
 */
public interface IPartContentHasSupplementalData {

}
