/**
 *
 */
package eu.etaxonomy.taxeditor.preference.menu;

import eu.etaxonomy.cdm.model.common.TermType;
import eu.etaxonomy.cdm.model.description.MeasurementUnit;

/**
 * <p>MeasurementUnitMenuPreferences class.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class MeasurementUnitMenuPreferences extends AbstractMenuPreferences<MeasurementUnit> {

	/**
	 * <p>Constructor for MeasurementUnitMenuPreferences.</p>
	 */
	public MeasurementUnitMenuPreferences() {
		super("Measurement Units",
				"Edit displayed measurement units",
				true);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTermClass()
	 */
	/** {@inheritDoc} */
	@Override
	protected TermType getTermType() {
		return TermType.MeasurementUnit;
	}

}
