/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.element;


/**
 * <p>ILabeledElement interface.</p>
 *
 * @author n.hoffmann
 * @created Oct 19, 2010
 * @version 1.0
 */
public interface ILabeledElement {

	/**
	 * <p>getLabel</p>
	 *
	 * @return a {@link java.lang.String} object.
	 */
	String getLabel();
	
	/**
	 * <p>setLabel</p>
	 *
	 * @param labelString a {@link java.lang.String} object.
	 */
	void setLabel(String labelString);
	
}
